#include <iostream>

using namespace std;

int main()
{
    int a, b, c, cif1, cif2, cif3, najv, drnajv, najm, najvbr, drnajvbr, najmbr;
    cin>>a>>b>>c;
    cif1=a;
    cif2=b;
    cif3=c;
    while(cif1>10)
        cif1=cif1/10;
    while(cif2>10)
        cif2=cif2/10;
    while(cif3>10)
        cif3=cif3/10;
    if(cif1>cif2)
    {
    	najv=cif1;
    	drnajv=cif2;
    	if((cif3>najv)&&(cif3>najm))
    	{
    		najv=cif3;
    		najvbr=c;
    		drnajv=cif1;
    		drnajvbr=a;
    		najm=cif2;
    		najmbr=b;
    		
		}
		else if((cif3<najv)&&(cif3>najm))
		{
			najv=cif1;
			najvbr=a;
			drnajv=cif3;
			drnajv=c;
			najm=cif2;
			najmbr=b;
		}
		else if((cif3<najv)&&(cif3<najm))
		{
			najv=cif1;
			najvbr=a;
			drnajv=cif2;
			drnajvbr=b;
			najm=cif3;
			najmbr=c;
		}
	}
	else
	{
		najv=cif2;
		drnajv=cif1;
		if((cif3>najv)&&(cif3>najm))
		{
			najv=cif3;
			najvbr=c;
			drnajv=cif2;
			drnajvbr=b;
			najm=cif1;
			najmbr=a;
		}
		else if((cif3<najv)&&(cif3<najm))
		{
			najv=cif2;
			najvbr=b;
			drnajv=cif3;
			drnajvbr=c;
			najm=cif1;
			najmbr=a;
		}
		else if((cif3<najv)&&(cif3<najm))
		{
			najv=cif2;
			najvbr=b;
			drnajv=cif1;
			drnajvbr=a;
			najm=cif3;
			najmbr=c;
		}
	}
	cout<<najvbr<<drnajvbr<<najmbr<<endl;;
    return 0;
}